alpm-pkginfo-format(1)

NAME
alpm-pkginfo-format - Parse a PKGINFO file and output it in a different file format

SYNOPSIS
alpm-pkginfo format [-s|--schema] [-o|--output-format] [-p|--pretty] [-h|--help] [FILE]

DESCRIPTION
Parse a PKGINFO file and output it in a different file format

If the input can be validated according to a known schema, the program writes the PKGINFO data to stdout in a different file format (optionally, a file path to write to may be provided) and exits with a return code of 0. Currently only JSON is supported as output format. If the input can not be validated according to a known schema, an error is emitted on stderr and the program exits with a non-zero exit code.

OPTIONS

-s, --schema <VERSION>
    Provide the PKGINFO schema version to use. If no schema version is provided, it will be deduced from the file itself.

-o, --output-format <OUTPUT_FORMAT> [default: json]
    The output format to use Currently only "json" (the default) is supported
    Possible values:

    •   json: The JSON output format

-p, --pretty
    Pretty-print the output Has no effect if the output format can not be pretty printed.

-h, --help
    Print help (see a summary with '-h')

[FILE]
    An optional input file path to read from If no file path is specified, stdin is read from and expected to contain PKGINFO data to format.